Bug 5353 - Oops when mounting cifs share
Oops when mounting cifs share
Status: RESOLVED FIXED
Product: CifsVFS
Classification: Unclassified
Component: kernel fs
2.6
All Linux
: P3 major
: ---
Assigned To: Steve French
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 09:59 UTC by Razvan Gavril
Modified: 2009-05-15 10:54 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Razvan Gavril 2008-03-26 09:59:05 UTC
Very often, when automount tries to mount a cifs share, the computer freezes and gives a kernel Oops.

Distribution: Ubuntu Gutsy 0710 i386
Kernel: 2.6.22-14 SMP i686
Cifs Module: 1.49
Samba tools: 3.0.26a
Mount Options: -t cifs -o credentials=XXXX,dir_mode=0777,file_mode=0777


Mar 26 04:12:31 dcerouter automount[11585]: >> retrying with upper case share name
Mar 26 04:12:31 dcerouter automount[11585]: >> mount error 6 = No such device or address
Mar 26 04:12:31 dcerouter automount[11585]: >> Refer to the mount.cifs(8) manual page (e.g.man mount.cifs)
Mar 26 04:12:31 dcerouter automount[11585]: mount(generic): failed to mount //192.168.80.3/Storage93$ (type cifs) on /mnt/device/93
Mar 26 04:12:31 dcerouter automount[11585]: failed to mount /mnt/device/93
Mar 26 04:12:32 dcerouter kernel: [  504.844000]  CIFS VFS: cifs_mount failed w/return code = -6
Mar 26 04:12:32 dcerouter kernel: [  505.680000]  CIFS VFS: cifs_mount failed w/return code = -6
Mar 26 04:12:32 dcerouter automount[11637]: >> retrying with upper case share name
Mar 26 04:12:32 dcerouter automount[11637]: >> mount error 6 = No such device or address
Mar 26 04:12:32 dcerouter automount[11637]: >> Refer to the mount.cifs(8) manual page (e.g.man mount.cifs)
Mar 26 04:12:32 dcerouter automount[11637]: mount(generic): failed to mount //192.168.80.3/Storage93$ (type cifs) on /mnt/device/93
Mar 26 04:12:32 dcerouter automount[11637]: failed to mount /mnt/device/93
Mar 26 04:12:32 dcerouter kernel: [  505.736000] ata4.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x0
Mar 26 04:12:32 dcerouter kernel: [  505.736000] ata4.00: (irq_stat 0x40000000)
Mar 26 04:12:32 dcerouter kernel: [  505.736000] ata4.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
Mar 26 04:12:32 dcerouter kernel: [  505.736000]          res 50/00:03:00:00:20/00:00:00:00:00/a0 Emask 0x1 (device error)
Mar 26 04:12:33 dcerouter kernel: [  506.088000] ata4.00: configured for UDMA/133
Mar 26 04:12:33 dcerouter kernel: [  506.088000] ata4: EH complete
Mar 26 04:12:34 dcerouter named[6565]: client 192.168.80.2#2860: RFC 1918 response from Internet for 3.80.168.192.in-addr.arpa
Mar 26 04:12:36 dcerouter named[6565]: client 192.168.80.2#2866: RFC 1918 response from Internet for 1.80.168.192.in-addr.arpa
Mar 26 04:12:36 dcerouter kernel: [  509.472000]  CIFS VFS: Send error in QFSAttributeInfo = -2
Mar 26 04:12:36 dcerouter kernel: [  509.472000]  CIFS VFS: Send error in QFSUnixInfo = -2
Mar 26 04:12:36 dcerouter kernel: [  509.604000]  CIFS VFS: cifs_mount failed w/return code = -6
Mar 26 04:12:37 dcerouter kernel: [  509.972000] BUG: unable to handle kernel NULL pointer dereference at virtual address 00000004
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  printing eip:
Mar 26 04:12:37 dcerouter kernel: [  509.972000] f1090a40
Mar 26 04:12:37 dcerouter kernel: [  509.972000] *pde = 00000000
Mar 26 04:12:37 dcerouter automount[12046]: mount(generic): failed to mount //192.168.80.3/Storage94$ (type cifs) on /mnt/device/94
Mar 26 04:12:37 dcerouter automount[12046]: failed to mount /mnt/device/94
Mar 26 04:12:37 dcerouter kernel: [  509.972000] Oops: 0002 [#1]
Mar 26 04:12:37 dcerouter kernel: [  509.972000] SMP 
Mar 26 04:12:37 dcerouter kernel: [  509.972000] Modules linked in: ide_cd ide_generic ztdummy zaptel crc_ccitt nls_cp437 cifs rfcomm l2cap nfsd exportfs lockd
 sunrpc xt_TCPMSS ipt_MASQUERADE ipt_TTL iptable_mangle xt_tcpudp xt_mark xt_state iptable_nat iptable_filter ip_tables x_tables ppdev autofs4 powernow_k8 cpuf
req_powersave cpufreq_conservative cpufreq_stats cpufreq_ondemand freq_table cpufreq_userspace video ac dock button sbs container battery snd_hda_intel snd_hwd
ep nf_nat_irc nf_nat_ftp nf_nat nf_conntrack_irc nf_conntrack_ftp nf_conntrack_ipv4 nf_conntrack nfnetlink parport_pc lp parport snd_pcm_oss snd_mixer_oss snd_
pcm snd_page_alloc snd_seq_dummy stv0299 lirc_mceusb2 snd_seq_oss af_packet snd_seq_midi snd_rawmidi cp2101 lirc_dev b2c2_flexcop_pci b2c2_flexcop usbserial nv
idia(P) agpgart snd_seq_midi_event hci_usb dvb_core dvb_pll bluetooth ipv6 snd_seq snd_timer snd_seq_device snd k8temp psmouse shpchp i2c_core pci_hotplug pcsp
kr soundcore joydev serio_raw evdev ext3 jbd mbcache ch sd_mod sg sr_mod cd
Mar 26 04:12:37 dcerouter kernel: om usbhid hid sbp2 ahci 8139too ata_generic forcedeth libata scsi_mod 8139cp mii ohci1394 ieee1394 amd74xx ide_core ohci_hcd 
ehci_hcd usbcore raid10 raid456 xor raid1 raid0 multipath linear md_mod thermal processor fan fuse apparmor commoncap
Mar 26 04:12:37 dcerouter kernel: [  509.972000] CPU:    0
Mar 26 04:12:37 dcerouter kernel: [  509.972000] EIP:    0060:[<f1090a40>]    Tainted: P       VLI
Mar 26 04:12:37 dcerouter kernel: [  509.972000] EFLAGS: 00010202   (2.6.22-14-generic #1)
Mar 26 04:12:37 dcerouter kernel: [  509.972000] EIP is at sesInfoFree+0x20/0xa0 [cifs]
Mar 26 04:12:37 dcerouter kernel: [  509.972000] eax: 00000000   ebx: e6407300   ecx: 00000282   edx: 00000000
Mar 26 04:12:37 dcerouter kernel: [  509.972000] esi: fffffffe   edi: 0000b5de   ebp: e6407300   esp: dab53d9c
Mar 26 04:12:37 dcerouter kernel: [  509.972000] ds: 007b   es: 007b   fs: 00d8  gs: 0033  ss: 0068
Mar 26 04:12:37 dcerouter kernel: [  509.972000] Process mount.cifs (pid: 12079, ti=dab52000 task=d27f54c0 task.ti=dab52000)
Mar 26 04:12:37 dcerouter kernel: [  509.972000] Stack: c2e8f600 c2e8f600 f10832e8 c0194ac1 cf710274 c521f604 c521f614 00000000 
Mar 26 04:12:37 dcerouter kernel: [  509.972000]        c2e8f600 cf710200 ce0cec00 00000000 f10783c9 cf710200 f1098f60 cf710200 
Mar 26 04:12:37 dcerouter kernel: [  509.972000]        f1098f60 c0182295 00000287 c0196ce7 0000001c f10b10e0 c0182359 cf710200 
Mar 26 04:12:37 dcerouter kernel: [  509.972000] Call Trace:
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [<f10832e8>] cifs_umount+0xc8/0x250 [cifs]
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [dispose_list+193/224] dispose_list+0xc1/0xe0
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [<f10783c9>] cifs_put_super+0x29/0xa0 [cifs]
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [generic_shutdown_super+85/240] generic_shutdown_super+0x55/0xf0
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [mntput_no_expire+71/160] mntput_no_expire+0x47/0xa0
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [kill_anon_super+9/64] kill_anon_super+0x9/0x40
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [deactivate_super+93/128] deactivate_super+0x5d/0x80
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [do_add_mount+224/288] do_add_mount+0xe0/0x120
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [do_mount+1681/1856] do_mount+0x691/0x740
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [__activate_task+33/64] __activate_task+0x21/0x40
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [try_to_wake_up+70/1152] try_to_wake_up+0x46/0x480
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [getnstimeofday+54/208] getnstimeofday+0x36/0xd0
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [lapic_next_event+12/16] lapic_next_event+0xc/0x10
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [clockevents_program_event+136/256] clockevents_program_event+0x88/0x100
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [do_page_fault+608/1680] do_page_fault+0x260/0x690
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [error_code+114/128] error_code+0x72/0x80
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [copy_mount_options+64/336] copy_mount_options+0x40/0x150
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [sys_mount+119/192] sys_mount+0x77/0xc0
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [sysenter_past_esp+107/169] sysenter_past_esp+0x6b/0xa9
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  =======================
Mar 26 04:12:37 dcerouter kernel: [  509.972000] Code: c3 8d 76 00 8d bc 27 00 00 00 00 53 89 c3 83 ec 04 85 c0 74 6c b8 f0 1e 0b f1 e8 2c 34 26 cf f0 ff 0d 2c 1f 0b f1 8b 13 8b 43 04 <89> 42 04 89 10 c7 43 04 00 02 20 00 c7 03 00 01 10 00 f0 81 05 
Mar 26 04:12:37 dcerouter kernel: [  509.972000] EIP: [<f1090a40>] sesInfoFree+0x20/0xa0 [cifs] SS:ESP 0068:dab53d9c
Mar 26 04:12:37 dcerouter kernel: [  509.972000] WARNING: at /build/buildd/linux-source-2.6.22-2.6.22/kernel/exit.c:869 do_exit()
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [do_exit+1954/2064] do_exit+0x7a2/0x810
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [die+607/608] die+0x25f/0x260
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [do_page_fault+827/1680] do_page_fault+0x33b/0x690
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [do_page_fault+0/1680] do_page_fault+0x0/0x690
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [error_code+114/128] error_code+0x72/0x80
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [<f1090a40>] sesInfoFree+0x20/0xa0 [cifs]
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [<f10832e8>] cifs_umount+0xc8/0x250 [cifs]
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [dispose_list+193/224] dispose_list+0xc1/0xe0
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [<f10783c9>] cifs_put_super+0x29/0xa0 [cifs]
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [generic_shutdown_super+85/240] generic_shutdown_super+0x55/0xf0
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [mntput_no_expire+71/160] mntput_no_expire+0x47/0xa0
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [kill_anon_super+9/64] kill_anon_super+0x9/0x40
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [deactivate_super+93/128] deactivate_super+0x5d/0x80
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [do_add_mount+224/288] do_add_mount+0xe0/0x120
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [do_mount+1681/1856] do_mount+0x691/0x740
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [__activate_task+33/64] __activate_task+0x21/0x40
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [try_to_wake_up+70/1152] try_to_wake_up+0x46/0x480
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [getnstimeofday+54/208] getnstimeofday+0x36/0xd0
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [lapic_next_event+12/16] lapic_next_event+0xc/0x10
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [clockevents_program_event+136/256] clockevents_program_event+0x88/0x100
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [do_page_fault+608/1680] do_page_fault+0x260/0x690
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [error_code+114/128] error_code+0x72/0x80
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [copy_mount_options+64/336] copy_mount_options+0x40/0x150
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [sys_mount+119/192] sys_mount+0x77/0xc0
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  [sysenter_past_esp+107/169] sysenter_past_esp+0x6b/0xa9
Mar 26 04:12:37 dcerouter kernel: [  509.972000]  =======================
Mar 26 04:16:02 dcerouter syslogd 1.4.1#21ubuntu3: restart.
Mar 26 04:16:03 dcerouter kernel: Inspecting /boot/System.map-2.6.22-14-generic
Mar 26 04:16:03 dcerouter mysqld_safe[5968]: started
Mar 26 04:16:03 dcerouter kernel: Loaded 25445 symbols from /boot/System.map-2.6.22-14-generic.
Mar 26 04:16:03 dcerouter kernel: Symbols match kernel version 2.6.22.
Mar 26 04:16:03 dcerouter kernel: No module symbols loaded - kernel modules not enabled.
Comment 1 Steve French 2008-12-05 13:52:44 UTC
We have made a large set of fixes to the linked list handling in mount/umount in 2.6.28 so far (also being put in 2.6.27.8 stable kernel and probably backported by some distros as well).   Are you comfortable patching/testing kernel modules (so we can try the 2.6.28 cifs fixes on your kernel)?
Comment 2 Steve French 2009-05-15 10:54:29 UTC
This area (sesInfoAlloc and sesInfoFree and related mount handling) is much cleaner and safer now.   Please reopen if you encounter errors 2.6.28 or later on this.